How JustAnswer Works:

  • Ask an Expert
    Experts are full of valuable knowledge and are ready to help with any question. Credentials confirmed by a Fortune 500 verification firm.
  • Get a Professional Answer
    Via email, text message, or notification as you wait on our site.
    Ask follow up questions if you need to.
  • 100% Satisfaction Guarantee
    Rate the answer you receive.

Ask James Your Own Question

James, Technician
Category: Consumer Electronics
Satisfied Customers: 2205
Experience:  4 Years as a Audio Visual Service Engineer
Type Your Consumer Electronics Question Here...
James is online now
A new question is answered every 9 seconds

I have an old itouch - version 2.2.1 (5H11). The software

Resolved Question:

I have an old itouch - version 2.2.1 (5H11). The software is up to date. This am I deleted my Pandora app thinking I'd re-install it. Mistake. When I try to download it, it says it needs the iphone 3.0 software upgrade. help please!
Submitted: 5 years ago.
Category: Consumer Electronics
Expert:  James replied 5 years ago.
Hi There,

Unfortunately since the app has been updated there is not a lot that you can do, unless you want to purchase the software upgrade for your iTouch.

I've linked to this below so that you can purchase and install it so that you can get pandora working again:

James and 3 other Consumer Electronics Specialists are ready to help you